<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KWindowSystem</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KWindowSystem Class Reference</h1>
<code>from PyKDE4.kdeui import *</code>
<p>
Inherits: <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a>,<a href="../kdeui/NET.html">NET</a><br />


<h2>Detailed Description</h2>

<p>Convenience access to certain properties and features of the
window manager.
</p>
<p>
The class KWindowSystem provides information about the state of the
window manager and allows asking the window manager to change them
using a more high-level interface than the NETWinInfo/NETRootInfo
lowlevel classes.
</p>
<p>
Because of limitiations of the way Qt is implemented on Mac OSX, the WId's
returned by methods in this class are not compatible with those expected
by other Qt methods. So while it should be fine to pass WId's retrieved by
for example calling the winId method on a QWidget to methods in this class
the reverse is not true. You should never pass a WId obtained from this class
to a Qt method accepting a WId parameter.
</p>
<p>
Class for interaction with the window manager.

<dl class="author" compact><dt><b>Author:</b></dt><dd> Matthias Ettrich (ettrich@kde.org) </dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj202912556">IconSource</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;NETWM, WMHints, ClassHint, XApp&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Signals</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202986764">activeWindowChanged</a> (WId id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202976300">currentDesktopChanged</a> (int desktop)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202987340">desktopNamesChanged</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202987148">numberOfDesktopsChanged</a> (int num)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202995628">showingDesktopChanged</a> (bool showing)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202988652">stackingOrderChanged</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202988140">strutChanged</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202977196">windowAdded</a> (WId id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">, long (properties)&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202989068">windowChanged</a> (WId id, )</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202994348">windowChanged</a> (WId id, long properties)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202995084">windowChanged</a> (WId id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202986188">windowRemoved</a> (WId id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202988332">workAreaChanged</a> ()</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202996300">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202986764">activeWindowChanged</a> (self, WId id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202996012">connectNotify</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> signal)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202976300">currentDesktopChanged</a> (self, int desktop)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202987340">desktopNamesChanged</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202987148">numberOfDesktopsChanged</a> (self, int num)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202995628">showingDesktopChanged</a> (self, bool showing)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202988652">stackingOrderChanged</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202988140">strutChanged</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202977196">windowAdded</a> (self, WId id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">, long (properties)&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202989068">windowChanged</a> (self, WId id, )</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202994348">windowChanged</a> (self, WId id, long properties)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202995084">windowChanged</a> (self, WId id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202986188">windowRemoved</a> (self, WId id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202988332">workAreaChanged</a> (self)</td></tr>
<tr><td colspan="2"><br><h2>Static Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202884876">activateWindow</a> (WId win, long time=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">WId&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202884908">activeWindow</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202959724">allowedActionsSupported</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202925868">clearState</a> (WId win, long state)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202896332">compositingActive</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpoint.html">QPoint</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202975884">constrainViewportRelativePosition</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpoint.html">QPoint</a> pos)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202895404">currentDesktop</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202887148">demandAttention</a> (WId win, bool set=1)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202948652">desktopName</a> (int desktop)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpoint.html">QPoint</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202975308">desktopToViewport</a> (int desktop, bool absolute)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202960684">doNotManage</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> title)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202885196">forceActiveWindow</a> (WId win, long time=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">WId&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202913100">groupLeader</a> (WId window)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202883308">hasWId</a> (WId id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202937932">icccmCompliantMappingState</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202913804">icon</a> (WId win, int width=-1, int height=-1, bool scale=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202915500">icon</a> (WId win, int width, int height, bool scale, int flags)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202937164">lowerWindow</a> (WId win)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202973836">mapViewport</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202928044">minimizeWindow</a> (WId win, bool animation=1)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202896172">numberOfDesktops</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202936364">raiseWindow</a> (WId win)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202958924">readNameProperty</a> (WId window, long atom)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KWindowSystem.html">KWindowSystem</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202873964">self</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202896652">setCurrentDesktop</a> (int desktop)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202950124">setDesktopName</a> (int desktop, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202950796">setExtendedStrut</a> (WId win, int left_width, int left_start, int left_end, int right_width, int right_start, int right_end, int top_width, int top_start, int top_end, int bottom_width, int bottom_start, int bottom_end)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202924620">setIcons</a> (WId win, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a> icon, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a> miniIcon)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202899404">setMainWindow</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> subwindow, WId mainwindow)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202897100">setOnAllDesktops</a> (WId win, bool b)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202897548">setOnDesktop</a> (WId win, int desktop)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202926572">setState</a> (WId win, long state)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202957548">setStrut</a> (WId win, int left, int right, int top, int bottom)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202925420">setType</a> (WId win, NET.WindowType windowType)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202949228">setUserTime</a> (WId win, long time)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202949388">showingDesktop</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">[WId]&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202884812">stackingOrder</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">WId&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202912140">transientFor</a> (WId window)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202937324">unminimizeWindow</a> (WId win, bool animation=1)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202960748">viewportToDesktop</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpoint.html">QPoint</a> pos)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202973708">viewportWindowToDesktop</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qrect.html">QRect</a> r)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KWindowInfo.html">KWindowInfo</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202884012">windowInfo</a> (WId win, long properties, long properties2=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">[WId]&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202874508">windows</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qrect.html">QRect</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202939244">workArea</a> (int desktop=-1)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qrect.html">QRect</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202939724">workArea</a> ([WId] excludes, int desktop=-1)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj202996300"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj202884876"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> activateWindow</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>win</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>time=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Requests that window <b>win</b> is activated.
</p>
<p>
There are two ways how to activate a window, by calling
activateWindow() and forceActiveWindow(). Generally,
applications shouldn't make attempts to explicitly activate
their windows, and instead let the user to activate them.
In the special cases where this may be needed, applications
should use activateWindow(). Window manager may consider whether
this request wouldn't result in focus stealing, which
would be obtrusive, and may refuse the request.
</p>
<p>
The usage of forceActiveWindow() is meant only for pagers
and similar tools, which represent direct user actions
related to window manipulation.
Except for rare cases, this request will be always honored,
and normal applications are forbidden to use it.
</p>
<p>
In case of problems, consult the KWin README in the kdebase
package (kdebase/kwin/README), or ask on the kwin@kde.org
mailing list.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>win</em>&nbsp;</td><td> the id of the window to make active

<tr><td></td><td valign="top"><em>time</em>&nbsp;</td><td> X server timestamp of the user activity that
caused this request
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj202884908"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">WId activeWindow</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the currently active window, or 0 if no window is active.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the window id of the active window, or 0 if no window is
active
</dd></dl>
</p></div></div><a class="anchor" name="obj202986764"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> activeWindowChanged</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Hint that &lt;Window&gt; is active (= has focus) now.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the id of the window that is active
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("activeWindowChanged(WId)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj202959724"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool allowedActionsSupported</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns true if the WM announces which actions it allows for windows.
</p></div></div><a class="anchor" name="obj202925868"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> clearState</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>win</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>state</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Clears the state of window <b>win</b> from <b>state.</b>
</p>
<p>
Possible values are or'ed combinations of NET.Modal,
NET.Sticky, NET.MaxVert, NET.MaxHoriz, NET.Shaded,
NET.SkipTaskbar, NET.SkipPager, NET.Hidden,
NET.FullScreen, NET.KeepAbove, NET.KeepBelow, NET.StaysOnTop
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>win</em>&nbsp;</td><td> the id of the window

<tr><td></td><td valign="top"><em>state</em>&nbsp;</td><td> the flags that will be cleared
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj202896332"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool compositingActive</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns true if a compositing manager is running (i.e. ARGB windows
are supported, effects will be provided, etc.).
</p></div></div><a class="anchor" name="obj202996012"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> connectNotify</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>signal</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj202975884"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpoint.html">QPoint</a> constrainViewportRelativePosition</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpoint.html">QPoint</a>&nbsp;</td>
<td class="paramname"><em>pos</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
</dd></dl> <dl class="since" compact><dt><b>Since:</b></dt><dd> 4.0.1
Checks the relative difference used to move a window will still be inside
valid desktop area.
</dd></dl>
</p></div></div><a class="anchor" name="obj202895404"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int currentDesktop</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the current virtual desktop.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the current virtual desktop
</dd></dl>
</p></div></div><a class="anchor" name="obj202976300"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> currentDesktopChanged</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>desktop</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Switched to another virtual desktop.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>desktop</em>&nbsp;</td><td> the number of the new desktop
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("currentDesktopChanged(int)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj202887148"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> demandAttention</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>win</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>set=1</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>When application finishes some operation and wants to notify
the user about it, it can call demandAttention(). Instead
of activating the window, which could be obtrusive, the window
will be marked specially as demanding user's attention.
See also explanation in description of activateWindow().
</p>
<p>
Note that it's usually better to use KNotifyClient.
</p></div></div><a class="anchor" name="obj202948652"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> desktopName</td>
<td>(</td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>desktop</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the name of the specified desktop.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>desktop</em>&nbsp;</td><td> the number of the desktop
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the name of the desktop
</dd></dl>
</p></div></div><a class="anchor" name="obj202987340"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> desktopNamesChanged</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Desktops have been renamed.
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("desktopNamesChanged()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj202975308"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpoint.html">QPoint</a> desktopToViewport</td>
<td>(</td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>desktop</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>absolute</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
Returns topleft corner of the viewport area for the given mapped virtual desktop.
</dd></dl>
</p></div></div><a class="anchor" name="obj202960684"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> doNotManage</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>title</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Informs kwin via dbus to not manage a window with the
specified <b>title.</b>
</p>
<p>
Useful for swallowing legacy applications, for example java
applets.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>title</em>&nbsp;</td><td> the title of the window
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj202885196"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> forceActiveWindow</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>win</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>time=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets window <b>win</b> to be the active window. Note that this
should be called only in special cases, applications
shouldn't force themselves or other windows to be the active
window. Generally, this call should used only by pagers
and similar tools. See the explanation in description
of activateWindow().
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>win</em>&nbsp;</td><td> the id of the window to make active

<tr><td></td><td valign="top"><em>time</em>&nbsp;</td><td> X server timestamp of the user activity that
caused this request
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj202913100"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">WId groupLeader</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>window</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the leader window for the group the given window is in, if any.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>window</em>&nbsp;</td><td> the id of the window
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj202883308"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool hasWId</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Test to see if <b>id</b> still managed at present.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the window id to test
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the window id is still managed
</dd></dl>
</p></div></div><a class="anchor" name="obj202937932"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool icccmCompliantMappingState</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
Returns true if the WM uses IconicState also for windows
on inactive virtual desktops.
</dd></dl>
</p></div></div><a class="anchor" name="obj202913804"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a> icon</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>win</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>width=-1</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>height=-1</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>scale=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns an icon for window <b>win.</b>
</p>
<p>
If <b>width</b> and <b>height</b> are specified, the best icon for the requested
size is returned.
</p>
<p>
If <b>scale</b> is true, the icon is smooth-scaled to have exactly
the requested size.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>win</em>&nbsp;</td><td> the id of the window

<tr><td></td><td valign="top"><em>width</em>&nbsp;</td><td> the desired width, or -1

<tr><td></td><td valign="top"><em>height</em>&nbsp;</td><td> the desired height, or -1

<tr><td></td><td valign="top"><em>scale</em>&nbsp;</td><td> if true the icon will be scaled to the desired size. Otherwise the
icon will not be modified.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the icon of the window
</dd></dl>
</p></div></div><a class="anchor" name="obj202915500"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a> icon</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>win</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>width</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>height</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>scale</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>flags</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>
Overloaded variant that allows specifying from which sources the icon should be read.
You should usually prefer the simpler variant which tries all possibilities to get
an icon.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>win</em>&nbsp;</td><td> the id of the window

<tr><td></td><td valign="top"><em>width</em>&nbsp;</td><td> the desired width, or -1

<tr><td></td><td valign="top"><em>height</em>&nbsp;</td><td> the desired height, or -1

<tr><td></td><td valign="top"><em>scale</em>&nbsp;</td><td> if true the icon will be scaled to the desired size. Otherwise the
icon will not be modified.

<tr><td></td><td valign="top"><em>flags</em>&nbsp;</td><td> OR-ed flags from the IconSource enum
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj202937164"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> lowerWindow</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>win</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Lowers the given window. This call is only for pagers and similar
tools that represent direct user actions. Applications should not
use it, they should keep using QWidget.lower() or XLowerWindow()
if necessary.
</p></div></div><a class="anchor" name="obj202973836"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool mapViewport</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
Returns true if viewports are mapped to virtual desktops.
</dd></dl>
</p></div></div><a class="anchor" name="obj202928044"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> minimizeWindow</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>win</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>animation=1</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Iconifies a window. Compatible to XIconifyWindow but has an
additional parameter <b>animation.</b>
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>win</em>&nbsp;</td><td> the id of the window

<tr><td></td><td valign="top"><em>animation</em>&nbsp;</td><td> true to show an animation
</td></tr> </table></dl>
<p> <dl class="see" compact><dt><b>See also:</b></dt><dd> deIconifyWindow()
</dd></dl>
</p></div></div><a class="anchor" name="obj202896172"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int numberOfDesktops</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the number of virtual desktops.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the number of virtual desktops
</dd></dl>
</p></div></div><a class="anchor" name="obj202987148"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> numberOfDesktopsChanged</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>num</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>The number of desktops changed.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>num</em>&nbsp;</td><td> the new number of desktops
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("numberOfDesktopsChanged(int)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj202936364"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> raiseWindow</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>win</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Raises the given window. This call is only for pagers and similar
tools that represent direct user actions. Applications should not
use it, they should keep using QWidget.raise() or XRaiseWindow()
if necessary.
</p></div></div><a class="anchor" name="obj202958924"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> readNameProperty</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>window</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>atom</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Function that reads and returns the contents of the given text
property (WM_NAME, WM_ICON_NAME,...).
</p></div></div><a class="anchor" name="obj202873964"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KWindowSystem.html">KWindowSystem</a> self</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Access to the singleton instance. Useful mainly for connecting to signals.
</p></div></div><a class="anchor" name="obj202896652"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setCurrentDesktop</td>
<td>(</td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>desktop</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Convenience function to set the current desktop to <b>desktop.</b>
See NETRootInfo.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>desktop</em>&nbsp;</td><td> the number of the new desktop
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj202950124"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setDesktopName</td>
<td>(</td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>desktop</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the name of the specified desktop.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>desktop</em>&nbsp;</td><td> the number of the desktop

<tr><td></td><td valign="top"><em>name</em>&nbsp;</td><td> the new name for the desktop
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj202950796"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setExtendedStrut</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>win</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>left_width</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>left_start</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>left_end</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>right_width</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>right_start</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>right_end</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>top_width</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>top_start</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>top_end</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>bottom_width</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>bottom_start</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>bottom_end</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the strut of window <b>win</b> to <b>to</b> <b>left</b> width
ranging from <b>left_start</b> to <b>left_end</b> on the left edge,
and simiarly for the other edges. For not reserving a strut, pass 0 as the width.
E.g. to reserve 10x10 square in the topleft corner, use e.g.
setExtendedStrut( w, 10, 0, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0 ).
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>win</em>&nbsp;</td><td> the id of the window

<tr><td></td><td valign="top"><em>left_width</em>&nbsp;</td><td> width of the strut at the left edge

<tr><td></td><td valign="top"><em>left_start</em>&nbsp;</td><td> starting y coordinate of the strut at the left edge

<tr><td></td><td valign="top"><em>left_end</em>&nbsp;</td><td> ending y coordinate of the strut at the left edge

<tr><td></td><td valign="top"><em>right_width</em>&nbsp;</td><td> width of the strut at the right edge

<tr><td></td><td valign="top"><em>right_start</em>&nbsp;</td><td> starting y coordinate of the strut at the right edge

<tr><td></td><td valign="top"><em>right_end</em>&nbsp;</td><td> ending y coordinate of the strut at the right edge

<tr><td></td><td valign="top"><em>top_width</em>&nbsp;</td><td> width of the strut at the top edge

<tr><td></td><td valign="top"><em>top_start</em>&nbsp;</td><td> starting x coordinate of the strut at the top edge

<tr><td></td><td valign="top"><em>top_end</em>&nbsp;</td><td> ending x coordinate of the strut at the top edge

<tr><td></td><td valign="top"><em>bottom_width</em>&nbsp;</td><td> width of the strut at the bottom edge

<tr><td></td><td valign="top"><em>bottom_start</em>&nbsp;</td><td> starting x coordinate of the strut at the bottom edge

<tr><td></td><td valign="top"><em>bottom_end</em>&nbsp;</td><td> ending x coordinate of the strut at the bottom edge
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj202924620"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setIcons</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>win</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a>&nbsp;</td>
<td class="paramname"><em>icon</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpixmap.html">QPixmap</a>&nbsp;</td>
<td class="paramname"><em>miniIcon</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets an <b>icon</b> and a <b>miniIcon</b> on window <b>win</b>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>win</em>&nbsp;</td><td> the id of the window

<tr><td></td><td valign="top"><em>icon</em>&nbsp;</td><td> the new icon

<tr><td></td><td valign="top"><em>miniIcon</em>&nbsp;</td><td> the new mini icon
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj202899404"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setMainWindow</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>subwindow</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>mainwindow</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the parent window of <b>subwindow</b> to be <b>mainwindow.</b>
This overrides the parent set the usual way as the QWidget parent,
but only for the window manager - e.g. stacking order and window grouping
will be affected, but features like automatic deletion of children
when the parent is deleted are unaffected and normally use
the QWidget parent.
</p>
<p>
This function should be used before a dialog is shown for a window
that belongs to another application.
</p></div></div><a class="anchor" name="obj202897100"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setOnAllDesktops</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>win</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>b</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets window <b>win</b> to be present on all virtual desktops if @p
is true. Otherwise the window lives only on one single desktop.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>win</em>&nbsp;</td><td> the id of the window

<tr><td></td><td valign="top"><em>b</em>&nbsp;</td><td> true to show the window on all desktops, false
otherwise
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj202897548"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setOnDesktop</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>win</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>desktop</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Moves window <b>win</b> to desktop <b>desktop.</b>
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>win</em>&nbsp;</td><td> the id of the window

<tr><td></td><td valign="top"><em>desktop</em>&nbsp;</td><td> the number of the new desktop
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj202926572"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setState</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>win</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>state</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the state of window <b>win</b> to <b>state.</b>
</p>
<p>
Possible values are or'ed combinations of NET.Modal,
NET.Sticky, NET.MaxVert, NET.MaxHoriz, NET.Shaded,
NET.SkipTaskbar, NET.SkipPager, NET.Hidden,
NET.FullScreen, NET.KeepAbove, NET.KeepBelow, NET.StaysOnTop
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>win</em>&nbsp;</td><td> the id of the window

<tr><td></td><td valign="top"><em>state</em>&nbsp;</td><td> the new flags that will be set
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj202957548"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setStrut</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>win</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>left</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>right</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>top</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>bottom</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Convenience function for setExtendedStrut() that automatically makes struts
as wide/high as the screen width/height.
Sets the strut of window <b>win</b> to <b>left,</b> <b>right,</b> <b>top,</b> <b>bottom.</b>
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>win</em>&nbsp;</td><td> the id of the window

<tr><td></td><td valign="top"><em>left</em>&nbsp;</td><td> the left strut

<tr><td></td><td valign="top"><em>right</em>&nbsp;</td><td> the right strut

<tr><td></td><td valign="top"><em>top</em>&nbsp;</td><td> the top strut

<tr><td></td><td valign="top"><em>bottom</em>&nbsp;</td><td> the bottom strut
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj202925420"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setType</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>win</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">NET.WindowType&nbsp;</td>
<td class="paramname"><em>windowType</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the type of window <b>win</b> to <b>windowType.</b>
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>win</em>&nbsp;</td><td> the id of the window

<tr><td></td><td valign="top"><em>windowType</em>&nbsp;</td><td> the type of the window (see NET.WindowType)
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj202949228"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setUserTime</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>win</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>time</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets user timestamp <b>time</b> on window <b>win.</b> The timestamp
is expressed as XServer time. If a window
is shown with user timestamp older than the time of the last
user action, it won't be activated after being shown.
The most common case is the special value 0 which means
not to activate the window after being shown.
</p></div></div><a class="anchor" name="obj202949388"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool showingDesktop</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the state of showing the desktop.
</p></div></div><a class="anchor" name="obj202995628"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> showingDesktopChanged</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>showing</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>The state of showing the desktop has changed.
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("showingDesktopChanged(bool)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj202884812"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">[WId] stackingOrder</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the list of all toplevel windows currently managed by the
window manager in the current stacking order (from lower to
higher). May be useful for pagers.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the list of all toplevel windows in stacking order
</dd></dl>
</p></div></div><a class="anchor" name="obj202988652"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> stackingOrderChanged</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Emitted when the stacking order of the window changed. The new order
can be obtained with stackingOrder().
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("stackingOrderChanged()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj202988140"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> strutChanged</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Something changed with the struts, may or may not have changed
the work area. Usually just using the workAreaChanged() signal
is sufficient.
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("strutChanged()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj202912140"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">WId transientFor</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>window</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the WM_TRANSIENT_FOR property for the given window, i.e. the mainwindow
for this window.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>window</em>&nbsp;</td><td> the id of the window
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj202937324"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> unminimizeWindow</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>win</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>animation=1</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>DeIconifies a window. Compatible to XMapWindow but has an
additional parameter <b>animation.</b>
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>win</em>&nbsp;</td><td> the id of the window

<tr><td></td><td valign="top"><em>animation</em>&nbsp;</td><td> true to show an animation
</td></tr> </table></dl>
<p> <dl class="see" compact><dt><b>See also:</b></dt><dd> iconifyWindow()
</dd></dl>
</p></div></div><a class="anchor" name="obj202960748"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int viewportToDesktop</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qpoint.html">QPoint</a>&nbsp;</td>
<td class="paramname"><em>pos</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
Returns mapped virtual desktop for the given position in the viewport.
</dd></dl>
</p></div></div><a class="anchor" name="obj202973708"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int viewportWindowToDesktop</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qrect.html">QRect</a>&nbsp;</td>
<td class="paramname"><em>r</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
Returns mapped virtual desktop for the given window geometry.
</dd></dl>
</p></div></div><a class="anchor" name="obj202977196"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> windowAdded</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>A window has been added.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the id of the window
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("windowAdded(WId)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj202989068"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">, long (properties) windowChanged</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>The window changed.
</p>
<p>
The properties parameter contains the NET properties that
were modified (see netwm_def.h). First element are NET.Property
values, second element are NET.Property2 values (i.e. the format
is the same like for the NETWinInfo class constructor).
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the id of the window

<tr><td></td><td valign="top"><em>properties</em>&nbsp;</td><td> the properties that were modified
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("windowChanged(WId, const unsigned long*)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj202994348"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> windowChanged</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>properties</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd>
The window changed.
</dd></dl> </p>
<p>
The unsigned int parameter contains the NET properties that
were modified (see netwm_def.h).
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the id of the window

<tr><td></td><td valign="top"><em>properties</em>&nbsp;</td><td> the properties that were modified
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("windowChanged(WId, unsigned int)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj202995084"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> windowChanged</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>The window changed somehow.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the id of the window
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("windowChanged(WId)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj202884012"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KWindowInfo.html">KWindowInfo</a> windowInfo</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>win</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>properties</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>properties2=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns information about window <b>win.</b> It is recommended to check
whether the returned info is valid by calling the valid() method.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>win</em>&nbsp;</td><td> the id of the window

<tr><td></td><td valign="top"><em>properties</em>&nbsp;</td><td> all properties that should be retrieved (see NET.Property
enum for details). Unlisted properties cause related information to be invalid
in the returned data, but make this function faster when not all data is needed.

<tr><td></td><td valign="top"><em>properties2</em>&nbsp;</td><td> additional properties (see NET.Property2 enum)
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the window information
</dd></dl>
</p></div></div><a class="anchor" name="obj202986188"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> windowRemoved</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>A window has been removed.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the id of the window that has been removed
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("windowRemoved(WId)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj202874508"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">[WId] windows</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the list of all toplevel windows currently managed by the
window manager in the order of creation. Please do not rely on
indexes of this list: Whenever you enter Qt's event loop in your
application, it may happen that entries are removed or added.
Your module should perhaps work on a copy of this list and verify a
window with hasWId() before any operations.
</p>
<p>
Iteration over this list can be done easily with
<pre class="fragment">
  QList&lt;WId&gt;.ConstIterator it;
  for ( it = KWindowSystem.windows().begin();
        it != KWindowSystem.windows().end(); ++it ) {
     ... do something here,  (*it) is the current WId.
       }
</pre>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the list of all toplevel windows
</dd></dl>
</p></div></div><a class="anchor" name="obj202939244"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qrect.html">QRect</a> workArea</td>
<td>(</td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>desktop=-1</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the workarea for the specified desktop, or the current
work area if no desktop has been specified.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>desktop</em>&nbsp;</td><td> the number of the desktop to check, -1 for the
current desktop
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the size and position of the desktop
</dd></dl>
</p></div></div><a class="anchor" name="obj202939724"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qrect.html">QRect</a> workArea</td>
<td>(</td>
<td class="paramtype">[WId]&nbsp;</td>
<td class="paramname"><em>excludes</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>desktop=-1</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the workarea for the specified desktop, or the current
work area if no desktop has been specified. Excludes struts of
clients in the exclude List.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>excludes</em>&nbsp;</td><td> the list of clients whose struts will be excluded

<tr><td></td><td valign="top"><em>desktop</em>&nbsp;</td><td> the number of the desktop to check, -1 for the
current desktop
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the size and position of the desktop
</dd></dl>
</p></div></div><a class="anchor" name="obj202988332"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> workAreaChanged</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The workarea has changed.
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("workAreaChanged()"), target_slot)</code></dd></dl></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj202912556"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">IconSource</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Masks specifying from which sources to read an icon. They are tried from the best
until an icon is found.
<li> NETWM from property from the window manager specification </li>
<li> WMHints from WMHints property </li>
<li> ClassHint load icon after getting name from the classhint </li>
<li> XApp load the standard X icon (last fallback) </li>
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>NETWM</em>&nbsp;=&nbsp;1</td><td><tr><td valign="top"><em>WMHints</em>&nbsp;=&nbsp;2</td><td><tr><td valign="top"><em>ClassHint</em>&nbsp;=&nbsp;4</td><td><tr><td valign="top"><em>XApp</em>&nbsp;=&nbsp;8</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
